ارور fg42 موقع اجرا

سلام
امروز Ubuntu نصب کردم و بعد از نصب emacs و fg42 توی minibuffer این ارور رو می‌بینم:

add-to-list: Symbol’s value as variable is void: tramp-archive-file-name-regexp
تا چند روز پیش توی `manjaro` بدون مشکل استفاده می‌کردم، البته باید بگم که خیلی وقت بود آپدیتش نکرده بودم و شاید اگه توی `manjaro` هم آپدیت می‌کردم این مشکل پیش می‌اومد.

مشکل از آپدیت نمیتونه باشه. من همین ۳۰ ثانیه پیش آپدیت کردم و مشکلی نداره.
شاید مشکل از کانفیگهای دیفالت ایمکس باشه که با کانفیگهای FG42 به مشکل میخورن. احتمال میدم اینو امتحان کرده باشید ولی گفتنش ضرر نداره:
یه بار ~/.emacs.el و ~/.emacs.d رو پاک کنید.

1 Likes

حقیقتش امتحان نکرده بودم ولی الأن تست کردم و مشکل حل نشد

1 Likes

من خیلی کم با ایمکس کار کردم ولی فکر میکنم این ارور به خاطر این باشه که ایمکس فکر میکنه یه پکیجی با نام tramp-archive-file-name-regexp باید نصب باشه ولی نیست.
یعنی یه جایی توی یکی از کانفیگها ازش استفاده شده ولی نمیتونه پیداش کنه.

1 Likes

سلام. ممنون که باگ رو گزارش دادی. یه زحمت می کشی دیباگ مود رو روشن گنی ( خط اول fg42.el./~ ) و کل خطایی که می گیری رو توی https://gitlab.com/FG42/FG42/-/issues گزارش کنی که یهش بتونم رفرنس بدم. ممنونم. تا بتونم سریع تر فیکسش کنم.

2 Likes

خواهش میکنم
issue رو ثبت کردم:


اگه عنوان issue نامناسبه یا فرمتی که issue رو ثبت کردم اشکال داره حتما بهم بگین، حقیقتش این کار رو زیاد انجام ندادم و یکمی روش حساسیت دارم

ممنونم از لطفت درستش که کردم بهت خبر می دم

1 Likes

یه زحمت می کشی آخرین نسخه رو از اول نصب کنی؟ این لینکش هست:

https://gitlab.com/FG42/FG42/-/jobs/artifacts/2.31.2/raw/fg42.2.31.2.tar.gz?job=build-package

بسته ها رو داره همه رو فقط کافیه توی home ت بازش کنی

1 Likes

من که از قبل داشتم هم باید دوباره نصب کنم یا همون pull کردن کافیه؟

همون pull کنی کافیه

1 Likes